## START: Set by rpmautospec
## (rpmautospec version 0.8.1)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 1;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global short_name backgrounds

Name:           fedora-eln-backgrounds
Version:        1.2
Release:        %autorelease
Summary:        Fedora ELN default desktop background

License:        CC-BY-SA-4.0
URL:            https://docs.fedoraproject.org/en-US/eln/
Source0:        https://github.com/fedora-eln/%{short_name}/archive/refs/tags/%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  make
BuildRequires:  ImageMagick

%if 0%{?eln}
Provides:       system-backgrounds
%endif


%description
This package contains desktop backgrounds for the Fedora ELN default theme.


%prep
%autosetup -n %{short_name}-%{version}


%build
%make_build


%install
%make_install

%if %{defined eln}
mkdir -p %{buildroot}%{_datadir}/glib-2.0/schemas
install -m 644 \
    default/10_org.gnome.desktop.background.default.gschema.override \
    default/10_org.gnome.desktop.screensaver.default.gschema.override \
    %{buildroot}%{_datadir}/glib-2.0/schemas
%endif

%files
%license CC-BY-SA-4.0 Attribution
%dir %{_datadir}/backgrounds
%dir %{_datadir}/backgrounds/fedora-eln
%dir %{_datadir}/backgrounds/fedora-eln/default
%dir %{_datadir}/gnome-background-properties/
%{_datadir}/backgrounds/fedora-eln/default/fedora-eln*.{png,xml}
%{_datadir}/gnome-background-properties/fedora-eln.xml
%if %{defined eln}
%{_datadir}/glib-2.0/schemas/*.override
%endif

%changelog
## START: Generated by rpmautospec
* Mon May 05 2025 Troy Dawson <tdawson@redhat.com> - 1.2-1
- Update to 1.2

* Fri May 02 2025 Troy Dawson <tdawson@redhat.com> - 1.1-1
- Update to version 1.1 Fix file paths in XML files

* Fri Apr 04 2025 Troy Dawson <tdawson@redhat.com> - 1.0-1
- Initial import and build
## END: Generated by rpmautospec
